Перенос БД на другой адрес с другой версией - Дизайн и модификация Invision Power Board

Перейти к содержимому

 

Правила раздела

Здесь обсуждаются вопросы по настройке и администрированию форумов IPB 3.x.
Пожалуйста, не оффтопьте, если зашли сюда случайно, и обратите внимание на соседние разделы.
Установка, настройка и обслуживание форумов IPB 2.x.
Оформление форумов, включая верстку скинов.
Размещение рекламы на форумах.
SEO оптимизация форума.
Техническая поддержка наших скинов и модов.

СвернутьПрикрепленные теги

Теги не найдены

Страница 1 из 1

Перенос БД на другой адрес с другой версией

#1 Пользователь не на сайте   Язва0 ответил: »

 
 
  • Newbie
  • *
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: Пользователи
  • Сообщений: 9
  • Регистрация: 20-Декабрь 09
  • Репутация: 0
  • IPB version:1.x
 

Отправлено 17 Май 2014 - 11:47

Доброго времени суток.

Нужна ваша помощь и советы:
на новом домене установлен чистый форум версии 3.4 с новой базой данных. Есть ещё форум другой версии на другом домене со старой базой данных, которую надо перенести на новый домен и соответственно на другую версию форума.

Нашли информацию по обновлению форума на другую версию, но это сюда не подойдёт, так как нужен перенос БД вообще на другой сайт и с уже установленной другой версией.
Поэтому спрашиваем здесь, ибо ни в одном поисковике ничего не найдено по теме.
0

#2 Пользователь не на сайте   Zero108 ответил: »

 
 
  • Advanced
  • ***
  • Смотреть галерею
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: Пользователи
  • Сообщений: 1 562
  • Регистрация: 25-Июль 09
  • Репутация: 92
  • IPB version:4.1.x
 

Отправлено 17 Май 2014 - 13:22

Если "форум другой версии" также в линейке 3.4.x, то у старого форума удаляются все файлы, кроме папок uploads, screenshots (если установлен IP.Downloads), downloads (если установлен IP.Downloads), .htaccess, conf_global.php. Заливаются файлы новой версии линейки 3.4.x и делается апгрейд старой bd.

Если "форум другой версии" не в линейке 3.4.x (например 3.3.x или ранее, или другой cms), то, насколько я помню, для апгрейда могут быть использованы апгрейды до промежуточных версий с помощью конвертаторов.

Сообщение изменено: Zero108 (17 Май 2014 - 13:23)

0

#3 Пользователь не на сайте   siv1987 ответил: »

 
 
  • Advanced
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: IPB Skins Team
  • Сообщений: 8 763
  • Регистрация: 20-Март 09
  • Репутация: 2 287
  • IPB version:3.1.x
 

Отправлено 17 Май 2014 - 16:03

Пришлось несколько раз перечитать старпост чтобы понять о чем речь, хотя так и не понял. В любом случае, если форум другой версии, нужно делать обновление (об этом много раз написано, даже прикрепленные темы есть), как бы там не было. Иначе база данных не будет соответствовать форуму этой версии, в лучшем случае получите баги, если разница в версий не большая, в худшем - не рабочий форум, если этой разные линейки.
0

Сообщить об этой теме:


Страница 1 из 1


Быстрый ответ

  

1 пользователей читают эту тему
0 зарегистрированных, 1 гостей, 0 скрытых


Контактная информация

Вопросы по работе сайта

+7 (917) 501-4765
C 10 до 20 в рабочие дни (время московское)

Техническая поддержка

Контактные данные специалистов

Дизайн форумов

IPB 3.x ¦ IPB 2.x

Бесплатные шаблоны

IPB 3.2 – 3.4 ¦ IPB 3.1 ¦ IPB 3.0 ¦ IPB 2.2 – 2.3 ¦ IPB 2.1 ¦ Клипарт
Лицензия на использование ¦ Ваша поддержка ¦ О проекте
Copyright © 2005-2016 IPBSkins.ru Team
При копировании материалов с сайта
прямая ссылка на источник обязательна